Subject: Re: bug#74610: 31.0.50; Submitting mhtml-ts-mode, treesitter alternative to mhtml-mode

From: Vincenzo Pupillo <[email-masked]>
Date: Wed, 15 Jan 2025 09:59:00 +0100

Ciao Juri,

In data mercoledì 15 gennaio 2025 08:50:06 Ora standard dell’Europa centrale, 
Juri Linkov ha scritto:
> > this is an updated version of mhtml-ts-mode.
> 
> Thanks.  Please also attach a new version of the mhtml-ts-mode.el file.
Okay, I have attached all the files that I have modified.

> 
> > I have tried to reduce as much as possible copies of parts of the major
> > modes from which it is derived.
> > 
> > To do this, I had to move some values that were assigned directly to
> > treesit's own variables  (in ccs-mode.el, in js.el, and in
> > html-ts-mode.el) into new variables.
> 
> I had a thought that maybe for treesit-thing-settings we could have
> a global registry like auto-mode-alist, not a buffer-local value.
> Then modes could just add own info to it. e.g.
> 
> (add-to-list 'treesit-thing-global-settings
>              '(javascript (sentence ...)))
> 
> This can be shared between embedded ts-modes.
Yes, that is exactly what I was thinking, but I obviously explained it wrong.

Thanks.

Vincenzo